#include<bits/stdc++.h>
using namespace std;

const int maxn=10003;
int a[maxn], n, p[maxn];

int main(){
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cin>>n;
for(int i=0; i<n; i++){
    cin>>a[i];
    if(a[i]%2==0){
        p[i]=n-i;
        int j=i-1;
        while(j>=0 and p[j]==0){
            p[j]=n-i;
            j--;
        }
    }
}
int ans=0;
for(int i=0; i<n; i++){
    ans+=p[i];
    //cout<<p[i]<<" ";
}
cout<<ans<<endl;

return 0;
}
